{ inputs, pkgs, ... }: {
  # NNN Settings
  programs.nnn = {
    enable = true;
    package = pkgs.nnn.override ({ withNerdIcons = true; });
    bookmarks = {
      d = "~/Documents";
      D = "~/Downloads";
      p = "~/Pictures";
      v = "~/Videos";
    };
    extraPackages = with pkgs; [
      pmount
      ffmpegthumbnailer
      mediainfo
      ueberzugpp
      poppler_utils
      gnome-epub-thumbnailer
      nsxiv
    ];
    plugins.mappings = {
      u = "nmount";
      c = "chksum";
      r = "gitroot";
      v = "imgview";
      m = "mtpmount";
      d = "xdgdefault";
      x = "togglex";
      p = "preview-tui";
    };
    plugins.src = (pkgs.fetchFromGitHub {
      owner = "jarun";
      repo = "nnn";
      rev = "v4.9";
      sha256 = "sha256-g19uI36HyzTF2YUQKFP4DE2ZBsArGryVHhX79Y0XzhU=";
    }) + "/plugins";
  };
}
