{ pkgs, ... }: {

  programs.nushell = {
    enable = true;
    configFile.source = ./confs/nushell/config.nu;
    extraConfig = ''
      use ${pkgs.nu_scripts}/share/nu_scripts/aliases/git/git-aliases.nu *
      use ${pkgs.nu_scripts}/share/nu_scripts/custom-completions/git/git-completions.nu *

      use ${pkgs.nu_scripts}/share/nu_scripts/themes/nu-themes/catppuccin-mocha.nu

      $env.config.color_config = (catppuccin-mocha)
    '';
  };

  programs.direnv.enableNushellIntegration = true;

  programs.eza.enableNushellIntegration = true;

  programs.starship.enableNushellIntegration = true;

  programs.zoxide.enableNushellIntegration = true;
}
